Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.tcp.sampler
Interface TCPClient

All Known Implementing Classes:
  AbstractTCPClient

public interface TCPClient

Interface required by TCPSampler for TCPClient implementations.

Method Summary
`byte` | `getEolByte()` Get the end-of-line/end-of-message byte.
`String` | `read(InputStream is)`
`void` | `setEolByte(int eolInt)` Set the end-of-line/end-of-message byte.
`void` | `setupTest()` Versions of JMeter after 2.3.2 invoke this method when the thread starts.
`void` | `teardownTest()` Versions of JMeter after 2.3.2 invoke this method when the thread ends.
`void` | `write(OutputStream os, InputStream is)`
`void` | `write(OutputStream os, String s)`

Method Detail

### setupTest

    public void setupTest()

  Versions of JMeter after 2.3.2 invoke this method when the thread starts.

### teardownTest

    public void teardownTest()

  Versions of JMeter after 2.3.2 invoke this method when the thread ends.

### write

    public void write(OutputStream os,
                      InputStream is)

  Parameters:
    `os` - - OutputStream for socket
    `is` - - InputStream to be written to Socket

### write

    public void write(OutputStream os,
                      String s)

  Parameters:
    `os` - - OutputStream for socket
    `s` - - String to write

### read

    public String read(InputStream is)

  Parameters:
    `is` - - InputStream for socket
  Returns:
    String read from socket

### getEolByte

    public byte getEolByte()

  Get the end-of-line/end-of-message byte.

  Returns:
    Returns the eolByte.

### setEolByte

    public void setEolByte(int eolInt)

  Set the end-of-line/end-of-message byte. If the value is out of range of a byte, then it is to be ignored.

  Parameters:
    `eolInt` - The value to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.